'use strict';

export default class PlayerId {
  constructor(playerName = '') {
    this.playerSocket = null;
    this.playerName = playerName;
    this.connected = false;
    this.isPlayingGameId = -1;
  }

  getSocket() {
    return this.playerSocket;
  }
  setSocket(socket) {
    this.playerSocket = socket;
  }
  setPlayerName(playerName) {
    this.playerName = playerName;
  }
  setPlayerColor(playerColor) {
    this.playerColor = playerColor;
  }
  setConnected(connected) {
    this.connected = connected;
  }
  isConnected() {
    return this.connected;
  }
}
